## OobsNTPServer

OobsNTPServer — Object that represents an individual NTP server

## Functions

OobsNTPServer * | oobs_ntp_server_new ()
const gchar * | oobs_ntp_server_get_hostname ()
void | oobs_ntp_server_set_hostname ()

## Properties

char * | hostname | Read / Write

## Object Hierarchy

        GObject
        ╰── OobsNTPServer

## Description

## Functions

### oobs_ntp_server_new ()

    OobsNTPServer *
    oobs_ntp_server_new (const gchar *hostname);

Returns a new OobsNTPServer with hostname set to hostname. hostname can specify an IP address too.

#### Parameters

hostname | Hostname of the NTP server. |

#### Returns

A new OobsNTPServer.

### oobs_ntp_server_get_hostname ()

    const gchar *
    oobs_ntp_server_get_hostname (OobsNTPServer *ntp_server);

Returns the OobsNTPServer hostname or IP address.

#### Parameters

ntp_server | An OobsNTPServer. |

#### Returns

A pointer to the NTP server hostname (or IP address) as a string. This string must not be freed, modified or stored.

### oobs_ntp_server_set_hostname ()

    void
    oobs_ntp_server_set_hostname (OobsNTPServer *ntp_server,
                                  const gchar *hostname);

Sets the hostname of ntp_server to be hostname. hostname can specify an IP address too.

#### Parameters

ntp_server | An OobsNTPServer. |
hostname | a new hostname (or IP address) for ntp_server. |

## Property Details

### The `“hostname”` property

      “hostname”                 char *

Server hostname.

Owner: OobsNTPServer

Flags: Read / Write

Default value: NULL

## See Also

OobsNTPConfig